paymentSBPSからのWarning

ホーム フォーラム バグ報告 paymentSBPSからのWarning

このトピックには7件の返信が含まれ、4人の参加者がいます。4 週間前 sagawa さんが最後の更新を行いました。

8件の投稿を表示中 - 1 - 8件目 (全8件中)
  • 投稿者
    投稿
  • #91221

    sa_suzuki
    参加者

    いつも大変お世話になっております。

    先日、Welcart のバージョンを1.9.36にしたところ、会員データ編集画面にWARNINGが出力されるようになりました。
    以下がそのwarningです。(サーバのパス部分はxxxxに変換しております)

    Welcart Management 会員リスト > Welcart Management 会員データ編集

    Warning: simplexml_load_string(): Entity: line 1: parser error : Space required after the Public Identifier in /xxxx/wp-content/plugins/usc-e-shop/classes/paymentSBPS.main.class.php on line 1210
    
    Warning: simplexml_load_string(): <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"> in /xxxx/wp-content/plugins/usc-e-shop/classes/paymentSBPS.main.class.php on line 1210
    
    Warning: simplexml_load_string(): ^ in /xxxx/wp-content/plugins/usc-e-shop/classes/paymentSBPS.main.class.php on line 1210
    
    Warning: simplexml_load_string(): Entity: line 1: parser error : SystemLiteral " or ' expected in /xxxx/wp-content/plugins/usc-e-shop/classes/paymentSBPS.main.class.php on line 1210
    
    Warning: simplexml_load_string(): <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"> in /xxxx/wp-content/plugins/usc-e-shop/classes/paymentSBPS.main.class.php on line 1210
    
    Warning: simplexml_load_string(): ^ in /xxxx/wp-content/plugins/usc-e-shop/classes/paymentSBPS.main.class.php on line 1210
    
    Warning: simplexml_load_string(): Entity: line 1: parser error : SYSTEM or PUBLIC, the URI is missing in /xxxx/wp-content/plugins/usc-e-shop/classes/paymentSBPS.main.class.php on line 1210
    
    Warning: simplexml_load_string(): <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"> in /xxxx/wp-content/plugins/usc-e-shop/classes/paymentSBPS.main.class.php on line 1210
    
    Warning: simplexml_load_string(): ^ in /xxxx/wp-content/plugins/usc-e-shop/classes/paymentSBPS.main.class.php on line 1210

    クレジット決済モジュールはSBペイメントサービスを使用しています。
    確認したところ問題なくクレジット決済は出来ていますが、Warningが表示されるので気になり投稿させていただきました。

    よろしくお願いいたします。

    ——————————————-
    WordPress のバージョン:5.5.1
    Welcart のバージョン:1.9.36.2010211
    PHP のバージョン:7.1.2
    Welcart専用の拡張プラグインとバージョン:WCEX Item List Layout, WCEX Multi Price
    ご利用のテーマ:biz7_net_gray
    症状を確認したブラウザ:safari
    サーバー:sixcore
    SSLの利用:常時SSL
    ——————————————–

    #91232

    yasumax
    キーマスター

    こんにちは。

    エラー内容から下記と同じ症状ではないかと思います。
    よくある質問 SBペイメントの決済で決済エラーになる

    SBペイメントのクレジット決済設定の「3DES暗号化キー」「3DES初期化キー」「Basic認証ID」「Basic認証Password」のいずれかが入力間違いの可能性があります。

    #91233

    sa_suzuki
    参加者

    リンク先も確認しておりましたが、「3DES暗号化キー」「3DES初期化キー」(「Basic認証ID」「Basic認証Password」は決済モジュールに入力項目なし)も含め、全ての設定値が正しく設定されていることを確認しております。

    決済処理自体はエラーとなりません。

    ワーニングが表示されるようになったのはPaypayの決済契約を行ったので利用可能になるように1.9.36へバージョンアップを行ってからです。
    決済モジュールの変更は暗号化キーやハッシュキーなどに変更がなかったため入力値の変更は行わず、Paypayを「利用する」に変更したのみです。(現在は「利用しない」に戻しています)

    よろしくお願いいたします。

    #91242

    telmar
    参加者

    こちらでも全く同じ症状が出ています。
    Paypayも含めて決済自体は正常に動いています。
    WARNINGはPaypay利用のON OFFに関係なく出ています。

    ——————————————-
    WordPress のバージョン: 5.5.1
    Welcart のバージョン: 1.9.36.2010211
    PHP のバージョン: 7.4.10
    Welcart専用の拡張プラグインとバージョン: なし
    ご利用のテーマ: WelcartBasicの自作子テーマ
    症状を確認したブラウザ: FireFox
    サーバー: さくらのレンタルサーバー・プレミアム
    SSLの利用: 常時SSL
    ——————————————–

    #91246

    yasumax
    キーマスター

    こんにちは。

    > sa_suzukiさん
    > telmarさん
    管理画面[ Welcart Shop ] > [ クレジット決済設定 ]にて「SBペイメントサービス」の設定を確認させてください。

    1. クレジットカード決済
      「リンク型」「API型」どちらを選択していますか?
    2. クレジットカード情報保存
      「API型」を選択している場合、「保存する」「会員が選択して保存する」「保存しない」のどれを選択していますか?
    #91247

    sa_suzuki
    参加者

    お世話になっております。

    リンク型を使用しています。

    #91248

    telmar
    参加者

    こちらでもリンク型で使用しています。

    #91309

    sagawa
    キーマスター

    こんにちは。

    こちらで症状を確認できましたので、修正をしております。
    修正ができましたら、改めてご案内いたします。
    申し訳ありませんが、修正が完了するまでの間お待ちいただきますようお願いいたします。

8件の投稿を表示中 - 1 - 8件目 (全8件中)

このトピックに返信するにはログインが必要です。